#include "stdio.h"

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/sleep.h>


//#############################
//Globals
//#############################

#define LED_PIN PB0


//#############################
//Prototypes
//#############################

void led_blink(void);



//#############################
//MAIN
//#############################

int main(int argc, char **argv)
{ 
    led_blink();
     
    while(1) {
        led_blink();
        _delay_ms(500);
    }
    
    return 0;
}



//#############################
//FUNCTIONS
//#############################

/*
 * Input: None
 * Output: None
 * Description: Toggles the pin for the LED indicator.
 */
void led_blink(void) {
    //Set the DDR for output.
    DDRC |= (1<<LED_PIN);

    PORTC ^= (1<<LED_PIN);
    _delay_ms(250);
    PORTC ^= (1<<LED_PIN);
    _delay_ms(250);
    
}

